Finde kein passenden ncurses-devel-package

Alles rund um die Installation Eures Linuxsystems, sowie die Updatefunktionen des Systems und das Paketmanagement

Moderator: Moderatoren

Antworten
DonC
Newbie
Newbie
Beiträge: 9
Registriert: 16. Sep 2005, 11:49

Finde kein passenden ncurses-devel-package

Beitrag von DonC » 16. Sep 2005, 19:49

Hi,

ich habe SuSe Linux 9.3 Professional und brauche zum kompilieren einiger Programme das ncurses-devel-package. Die normalen ncurses sind bei mir in der Version 5.4-68.1 installiert. Und hier ist das Problem. Überall, auch auf dem SuSe-FTP, finde ich lediglich die ncurses-devel-version 5.4-68.
Kann mir irgend jemand sagen wo ich Version 5.4-68.1 finde?

Gruss,
Koontz

Werbung:
towo
Moderator
Moderator
Beiträge: 3703
Registriert: 15. Feb 2004, 16:42
Wohnort: Nimritz
Kontaktdaten:

Beitrag von towo » 16. Sep 2005, 19:51

Überall, auch auf dem SuSe-FTP, finde ich lediglich die ncurses-devel-version 5.4-68.
Und wo ist jetzt Dein Problem? Das passt doch!
Signatur nach Diktat spazieren gegangen

Bild

DonC
Newbie
Newbie
Beiträge: 9
Registriert: 16. Sep 2005, 11:49

Beitrag von DonC » 16. Sep 2005, 19:54

Hallo,

man beachte den kleinen aber feinen Unterschied:

Version 5.4-68.1 (man achte auf den Punkt und die 1) ist installiert.

Verfügbar als devel-Package ist lediglich Version 5.4-68 (ohne den Punkt und die 1 am ende). Und eben deswegen meckert auch YasT beim installieren.

Grothesk
Ultimate Guru
Ultimate Guru
Beiträge: 14662
Registriert: 26. Okt 2003, 11:52
Wohnort: Köln

Beitrag von Grothesk » 16. Sep 2005, 20:05

Wo haste das denn her?
Denn bei meinem per apt aktualisierten System kommt dies:

Code: Alles auswählen

rpm -q ncurses ncurses-devel
ncurses-5.4-68
ncurses-devel-5.4-68
"Die Rechtschreibung ist Freeware, du darfst sie kostenlos nutzen. Allerdings ist sie nicht OpenSource, d.h. du sollst sie nicht verändern oder in veränderter Form veröffentlichen."

DonC
Newbie
Newbie
Beiträge: 9
Registriert: 16. Sep 2005, 11:49

Beitrag von DonC » 16. Sep 2005, 20:24

Das würde mich auch interessieren. Ich hab das System heute frisch von der DVD installiert. Und da ist eben ncurses Version 5.4-68.1 dabei. Eine ncurses-devel-version gibts auf der DVD auch garnicht. Das RPM-Package von der normalen Version auf der DVD heist auch "ncurses-5.4-68.1.i586.rpm".

Hab mir die DVD übrigens als ISO-Image runtergeladen.

Grothesk
Ultimate Guru
Ultimate Guru
Beiträge: 14662
Registriert: 26. Okt 2003, 11:52
Wohnort: Köln

Beitrag von Grothesk » 16. Sep 2005, 20:30

Und was liefert bei dir

Code: Alles auswählen

rpm -q ncurses ncurses-devel
"Die Rechtschreibung ist Freeware, du darfst sie kostenlos nutzen. Allerdings ist sie nicht OpenSource, d.h. du sollst sie nicht verändern oder in veränderter Form veröffentlichen."

Benutzeravatar
Frankie777
Advanced Hacker
Advanced Hacker
Beiträge: 916
Registriert: 30. Apr 2005, 23:22

Beitrag von Frankie777 » 28. Sep 2005, 09:32

Hallo,

ich habe das gleiche Problem:
Ich kann ncurses-devel nicht installieren...

--force machen ???

Oder wie bekomme ich die ...1 Version wieder weg?

linux:~ # rpm -qa | grep ncurses
yast2-ncurses-2.11.5-3.1
ncurses-5.4-68.1

linux:~ # apt policy ncurses
ncurses:
Installed: 5.4-68.1
Candidate: 5.4-68.1
Version Table:
*** 5.4-68.1 0
100 RPM Database
5.4-68 0
500 ftp://ftp4.gwdg.de SuSE/9.3-i386/base pkglist
linux:~ # apt policy ncurses-devel
ncurses-devel:
Installed: (none)
Candidate: 5.4-68
Version Table:
5.4-68 0
500 ftp://ftp4.gwdg.de SuSE/9.3-i386/base pkglist

Benutzeravatar
oc2pus
Ultimate Guru
Ultimate Guru
Beiträge: 6506
Registriert: 21. Jun 2004, 13:01

Beitrag von oc2pus » 28. Sep 2005, 09:38

Code: Alles auswählen

sudo apt policy ncurses ncurses-devel
ncurses:
  Installiert: 5.4-68
  Kandidat: 5.4-68
  Versionstabelle:
 *** 5.4-68 0
       1001 ftp://ftp4.gwdg.de SuSE/9.3-i386/base pkglist
       1001 ftp://mirrors.mathematik.uni-bielefeld.de SuSE/9.3-i386/base pkglist
        100 RPM Database
ncurses-devel:
  Installiert: 5.4-68
  Kandidat: 5.4-68
  Versionstabelle:
 *** 5.4-68 0
       1001 ftp://ftp4.gwdg.de SuSE/9.3-i386/base pkglist
       1001 ftp://mirrors.mathematik.uni-bielefeld.de SuSE/9.3-i386/base pkglist
        100 RPM Database
also sollte ein apt install ncurses=5.4-68 ncurses-devel=5.4-68 helfen
tell people what you want to do, and they'll probably help you to do it.
PackMan
LinWiki : Das Wiki für Linux User

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 1 Gast